/*
 * Base structure
 */

/* Move down content because we have a fixed navbar that is 70px tall */
body {
    padding-top: 70px;
}

.mentat-logo-mini {
  display: inline-block !important;
  width: 27px;
  height: 20px;
}

/* AJAX loader */
#ajax-loader-overlay {
    display: none;
    background: #ffffff;
    color: #666666;
    position: fixed;
    height: 100%;
    width: 100%;
    z-index: 5000;
    top: 0;
    left: 0;
    float: left;
    text-align: center;
    padding-top: 25%;
    opacity: 0.6;
    filter: alpha(opacity=60); /* For IE8 and earlier */
}
#ajax-loader {
    position: fixed;
    color: #000000;
    left: 50%;
    top: 45%;
    z-index: 10000;
    opacity: 1.0;
    filter: alpha(opacity=100); /* For IE8 and earlier */
}

/* Custom styles for nested menu dropdowns */
.navbar-nav .dropdown-submenu li:hover > ul.dropdown-menu {
    display: block;
}
.dropdown-submenu .dropdown-submenu {
    position: relative;
}
.dropdown-submenu .dropdown-submenu .dropdown-menu {
    top: 0;
    left: 100%;
    margin-top: -1px;
}
.dropdown-submenu .dropdown-submenu .dropdown-menu-right {
    left: auto;
    right: 100%;
}

/******************************************
 * Page footer
 ******************************************/

#footer {
    vertical-align: top;
    text-align: right;
    font-size: 0.9em;
}
#copyright {
    vertical-align: top;
}
#footer img {
    opacity: 0.2;
    filter: alpha(opacity=20); /* For IE8 and earlier */
    padding-left: 2.0em;
}
#footer a, #footer a:visited {
    vertical-align: top;
    color: [% site.colsch.col8 %];
    text-decoration: none;
}
#footer a:hover {
    color: [% site.colsch.col8 %];
    text-decoration: underline;
}

.rule-tree {
  height: auto !important;
  text-align: center;
}
.pynspect-rule-operation,
.pynspect-rule-operation-arguments,
.pynspect-rule-operation-arguments > li,
.pynspect-rule-list,
.pynspect-rule-list > li {
  display: inline-block;
  vertical-align: top;
}

.pynspect-rule-operation-name {
  padding: .1em;
  margin: 0;
  color: black;
  text-align: center;
  background: #5bc0de;
  border: 1px dotted #222;
}
.pynspect-rule-variable,
.pynspect-rule-constant,
.pynspect-rule-list {
  padding: .4em;
  text-align: left;
  border: 1px dotted #222;
}
.pynspect-rule-variable {
  background: #f0ad4e;
}

.rrd-button-group {
    padding-left: 1em !important;
}

/*
 * Implement hover functionality for list group items.
 * */
.list-group-hover .list-group-item:hover {
    background-color: #f5f5f5;
}
.list-group-hover .list-group-item:hover pre {
    background-color: #ffffff;
}

.content-maxheight {
    min-height: 15em;
    max-height: 15em;
    margin-bottom: 10px;
    overflow: scroll;
    overflow-x: hidden;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
}

.underlined-tooltip {
    text-decoration-line: underline;
    text-decoration-style: dotted;
}

/*
 * Collapsible columns.
 * */

.row-chart-main .collapsed {
    display: none; /* hide it for small displays */
}
@media (min-width: 992px) {
    .row-chart-main .collapsed {
        display: block;
        margin-right: -50%; /* same width as sidebar */
    }
}

.row-chart-main {
    overflow-x: hidden; /* necessary to hide collapsed sidebar */
}

.column-chart-content {
    -webkit-transition: width 0.3s ease;
    -moz-transition: width 0.3s ease;
    -o-transition: width 0.3s ease;
    transition: width 0.3s ease;
}

.column-chart-sidebar {
    -webkit-transition: margin 0.3s ease;
    -moz-transition: margin 0.3s ease;
    -o-transition: margin 0.3s ease;
    transition: margin 0.3s ease;
}

.scrollable-viewport {
    width: 100%;
    max-height: 712px;
    overflow-y: scroll;
    overflow-x: auto;
}

/*******************************************************************************

    Custom style for timeline dataset tables.

    These tables are displayed on various views next to the timeline charts and
    contain chart data in tabular form.

*******************************************************************************/

/* Make sure lat table column containinig sum of all row data has default background. */
.table-dataset-timeline thead tr th:last-child {
    background-color: inherit !important;
}
/* Align all numbers to the right for better readability. */
.table-dataset thead tr th:not(:first-child),
.table-dataset tbody tr td:not(:first-child),
.table-dataset tfoot tr td:not(:first-child) {
    text-align: right;
}
/* Separate calculated statistical data in table footer from the dataset. */
.table-dataset tfoot tr:first-child td {
    /*border-top: 2px solid black !important;*/
    border-top-width: 5px !important;
}
/* Separate calculated sum column from the rest of the row. */
.table-dataset-timeline thead tr th:last-child,
.table-dataset-timeline tbody tr td:last-child,
.table-dataset-timeline tfoot tr td:last-child {
    /*border-left: 2px solid black !important;*/
    border-left-width: 3px !important;
}
/* Make sure that the calculated statistical data in table footer stands out. */
.table-dataset tfoot tr td:not(:first-child) {
    font-style: oblique;
}
.table-dataset tfoot tr {
    background-color: #f5f5f5;
}
.table-dataset tfoot tr td:first-child {
    font-weight: bold;
}

.nav-tabs-inner {
    padding-left: 1em;
    padding-right: 1em;
}
/* Margin for divs in text report messages  */
.report-message {
    margin-bottom: 1.5em;
}

.table-event-detail-node {
    margin-bottom: 0 !important;
}
.table-event-detail-node > tbody > tr > th {
    width: 3em;
}
.table-event-detail-node > tbody > tr:first-child > th,
.table-event-detail-node > tbody > tr:first-child > td {
    border-top: 0 !important;
}

/* Custom styles for additional data labels */
.object-additional-data,
.popover-hover-container,
.object-additional-data > .query-result,
.object-additional-data > .query-result > .popover-hover,
.popover-hover-container > .popover-hover {
    display: inline-block;
}
.object-additional-data .query-result:not(:first-child),
.object-additional-data .query-result .popover-hover:not(:first-child) {
    margin-left: 3px;
}
.popover-hover-container .popover-content {
    max-height: 20em;
    overflow-y: auto;
}
.popover-hover-container .popover-title,
.popover-hover-container .popover-content,
.popover-hover-container .popover-content > p,
.popover-hover-container .popover-content > pre
{
    font-size: xx-small;
}
.popover-hover-container .popover-content .table
{
    margin-bottom: 0;
}
.popover-hover-container .popover .popover-title {
    background-color: #d9edf7;
}
.popover-hover-container .popover.bottom .arrow:after {
    border-bottom-color: #d9edf7;
}
/* Note: The static popover class is added dynamically by JavaScript. */
.static-popover .popover {
    position: relative;
    display: block;
    max-width: 100%;
}
.static-popover,
.popover-hover {
    z-index: 2;
}

.form-help .popover {
    max-width: 300px;
}
